Last version of Qtango

Hi,
I would like to know what the latest version of Qtango is. I found 5.3.9 in the sourceforge and 5.4 in a github of ELETTRA but the verions are from 6 years ago.

links:
5.3.9
https://sourceforge.net/projects/tango-cs/
5.4
https://github.com/ELETTRA-SincrotroneTrieste/qtango

I don't know if there is a more recent version.
Hello Diego.
Last version is on github.com
That said, the recommended way to go is cumbia-libs!

Contact me for any other questions
I have a problem in the installation of the cumbia-tango module, when i build the library with ninja appears to me this. I attach the images.
Hi Diego,

I think you're encountering this bug (https://gitlab.com/tango-controls/cppTango/-/merge_requests/405) which has been fixed a while ago.
So it looks like you are using an old version of cppTango.

I can only recommend you to use a more recent version of cppTango (9.3.6, which is the current LTS or 9.5.0, the latest release)

Hoping this helps,
Reynald
Rosenberg's Law: Software is easy to make, except when you want it to do something new.
Corollary: The only software that's worth making is software that does something new.
Hello Diego. Yes, I agree with Reynald.
Get back to me as soon as you manage to overcome this issue for further advice
I solved the problem, what was happening was that ninja was taking the version of tango 9.2.5 and I had 9.3.5, I removed some libraries and it worked.

So I correctly installed the cumbia-tango module, the cumbia-qtcontrols, and the qumbia-tango-controls module. I also installed some plugins, the cumbia-dbus and the qtdesigner, but the cumbia-multiread I didn't find the folder, I don't know if afterwards its gonna be necessary
Edited 2 months ago
Hello Diego.
The cumbia multiread plugin can be obtained from

https://github.com/ELETTRA-SincrotroneTrieste/cumbia-multiread-plugin

and is used to read multiple sources together and receive bundled updates.

Kind regards
Diego&
I solved the problem, what was happening was that ninja was taking the version of tango 9.2.5 and I had 9.3.5, I removed some libraries and it worked.

So I correctly installed the cumbia-tango module, the cumbia-qtcontrols, and the qumbia-tango-controls module. I also installed some plugins, the cumbia-dbus and the qtdesigner

Let me know if you need support for starting up with cumbia. We can also meet on zoom.
The documentation is good to install and start. Then You may need further support for specific cases.

Don't hesitate to contact me for further information or for a dedicated meeting.

Giacomo.
Thank you, I thought it was in the github of cumbia-libs.

And could you take a look to the general forum of "other"? I created a other topic about cumbia-qtcontrols.

Kind regards

Diego
 
Register or login to create to post a reply.